<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%--
 Copyright (c) 2010 by Intevation GmbH

 This program is free software under the LGPL (>=v2.1)
 Read the file LGPL.txt coming with the software for details
 or visit http://www.gnu.org/licenses/ if it does not exist.
--%>

<%@ taglib uri="http://jakarta.apache.org/struts/tags-html" prefix="html" %>
<%@ taglib uri="http://jakarta.apache.org/struts/tags-bean" prefix="bean" %>
<%@ page import="de.intevation.gnv.action.sessionmodel.SessionModel"%>
<%@ page import="de.intevation.gnv.action.sessionmodel.SessionModelFactory"%>
<%@ page import="java.util.Locale"%>

<%
    SessionModel sm = SessionModelFactory.getInstance().getSessionModel(request);
    Locale locale   = sm.getCurrentLocale();
%>

<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <title>
            <bean:message key="gnviewer.app.title"/>
        </title>
        <link href="styles/gnv.css" rel="stylesheet" type="text/css"/>
    </head>

    <body id="gnviewerbody">
        <div id="page">
            <div id="headline">
                <h1 class="headline">BSH Generischer Viewer</h1>
            </div>

            <br/>

            <div id="headerElement">
                <table class="headerTableLinks">
                    <tr>
                        <td align="left"></td>
                        <td align="right">
                            <html:link styleClass="headerLineLinks" page="/start.do"><bean:message key="gnviewer.header.restart"/></html:link>
                            <font size="1.5em" color="white">&middot;</font>
                            <html:link styleClass="headerLineLinks" page="/info.do"><bean:message key="gnviewer.header.info"/></html:link>
                        </td>
                    </tr>
                </table>
            </div>
            <div id="contentElement" class="contentElement">
            <%
                if (locale.getLanguage().equals(Locale.GERMAN.getLanguage())) {
            %>
                    <jsp:include page="/WEB-INF/jsp/includes/info_german.jsp" />
            <%
                }
                else {
            %>
                    <jsp:include page="/WEB-INF/jsp/includes/info_english.jsp" />
            <%
                }
            %>
             </div>
             <div id="footerElement">
                <jsp:include page="footer.jsp" />
            </div>
        </div>
    </body>
</html>
